List a deal’s offers
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"submission_id": "<string>",
"amount": 123,
"factor_rate": 123,
"buy_rate": 123,
"term": 123,
"term_unit": "days",
"payment_frequency": "daily",
"payment_amount": 123,
"payback_amount": 123,
"points": 123,
"commission_estimate": 123,
"position": 123,
"status": "<string>",
"status_name": "<string>",
"status_type": "open",
"is_primary": true,
"is_selected": true,
"notes": "<string>",
"decline_reason": "<string>",
"merchant_response": "<string>",
"expires_at": "<string>",
"received_at": "<string>",
"accepted_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Offers
List a deal’s offers
Offers logged on the deal, newest first. The primary offer is flagged with is_primary and its id is repeated in meta.primary_offer_id.
GET
/
v1
/
deals
/
{dealId}
/
offers
List a deal’s offers
Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Deal id
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous response’s meta.next_cursor.
Only offers with this status slug (e.g. new_offer, contracts_out, funded).
Was this page helpful?